import 'package:authentication_view/field_color.dart';
import 'package:authentication_view/field_type.dart';
import 'package:authentication_view/text_form_field_view.dart';
import 'package:authentication_view/util/ensure_visible_focussed.dart';
import 'package:flutter/material.dart';

class KeyboardFocusableField extends StatelessWidget {
  TextEditingController textEditingController;
  FormFieldValidator formFieldValidator;
  FieldType fieldType;
  FieldStyle fieldStyle;
  TextInputAction textInputAction;
  ValueChanged<String> onFieldSubmitted;
  FocusNode focusNode;
  Widget leftIcon;

  KeyboardFocusableField(
      {this.fieldType,
        this.textEditingController,
        this.formFieldValidator,
        this.fieldStyle,
        this.textInputAction,
        @required this.onFieldSubmitted,
        this.focusNode,
        this.leftIcon});

  @override
  Widget build(BuildContext context) {
    return EnsureVisibleWhenFocused(
      focusNode: focusNode,
      child: TextFormFieldView( leftIcon: leftIcon,
        focusNode: focusNode,
        fieldStyle: fieldStyle,
        fieldType: fieldType,
        textEditingController: textEditingController,
        formFieldValidator: formFieldValidator,
        textInputAction: textInputAction, onFieldSubmitted: onFieldSubmitted),
    );
  }
}
